module MessageExchange
  class Get < Request
    def request
      Net::HTTP::Get.new(full_path).tap do |request|
        request['Accept'] = 'application/json'
      end
    end

    def full_path
      "#{uri.request_uri}#{parameter_string}"
    end

    def parameter_string
      return ("?" + params.to_query) unless params.empty?
      ""
    end
  end
end
