module MessageExchange
  class Put < Request
    def request
      Net::HTTP::Put.new(full_path).tap do |request|
        request['Accept'] = 'application/json'
        request.body = params.to_param
      end
    end

    def full_path
      uri.request_uri
    end
  end
end
